final: prev:
with prev.lib; let
  inherit (final) callPackage fetchpatch;
in {
  lib = callPackage ./lib {};

  hello-world = callPackage ./hello-world {};

  override = {
    sl = prev.sl.overrideAttrs {pname = "my-sl";};
  };
}
